% MSU Math Dept letter class file
% Contact Clifford Weil (weil@math.msu.edu) about bugs.

% Identification
\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{msumathletter}[2011/11/11 MSU Math Dept letter]
\DeclareOption*{\PassOptionsToClass{\currentOption}{letter}}
\ProcessOptions\relax

% Bring in the regular letter class
\LoadClass{letter}

% Bring in needed packages
\RequirePackage{ifthen}
\RequirePackage{graphicx}
%\RequirePackage{helvet}
%\RequirePackage{mathptmx}

\renewcommand{\ps@firstpage}%
  {%
  \setlength{\headheight}{1.3in}%
  \setlength{\headsep}{25pt}%
  
% Place MSU header in header of first page
  \renewcommand{\@oddhead}
  {\makebox[1.95in][r]{\includegraphics[width=2in]{MSUheading.jpg}}}%  
  \renewcommand{\@evenhead}{}%
  \renewcommand{\@oddfoot}{}%

% Place icon and Dept. return address in margin
  \vspace*{.61\textheight}%
   \hspace{-.9in} \parbox{1.39in}
  {\flushright
  \includegraphics[width=.8in]{MSUSealGreen}\\[12pt]
     {\small {\usefont{T1}{phv}{bc}{n} DEPARTMENT OF\\}
     {\usefont{T1}{phv}{bc}{n}MATHEMATICS}\\[4pt]
     {\usefont{T1}{phv}{mc}{n}Michigan State University\\
      Wells Hall\\
       619 Red Cedar Road\\
       East Lansing, MI\\ 
  48824-1027\\ 
  Phone: 517-353-0844\\
  Fax: 517-432-1562}\\[2pt]
  \texttt{www.math.msu.edu}}\\%
  
  \vspace*{.3\textheight}
 \flushleft 
\textit{\tiny MSU is an affirmative-action/\\[-1\baselineskip]
  equal opportunity employer.}}
  %
  %
% Return to top of first page.
  \vspace*{-1.35\textheight}
 } 
  \setlength{\topmargin}{0in}
  
% Define \email
\newcommand*{\email}[1]{%
  \par\noindent
  \parbox[t]{\textwidth}{%
    \@hangfrom{\normalfont\emailname: }%
    \ignorespaces{\texttt {#1}}\strut}\par}
\newcommand*{\emailname}{email}

% Define \phone
\newcommand*{\phone}[1]{%
  \par\noindent
  \parbox[t]{\textwidth}{%
    \@hangfrom{\normalfont\phonename: }%
    \ignorespaces #1\strut}\par}
\newcommand*{\phonename}{phone}


  



